#
# Author:: Matt Ray <matt@opscode.com>
# Cookbook Name:: tftp
# Recipe:: server
#
# Copyright 2011, Opscode, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

package "tftpd-hpa"

service "tftpd-hpa" do
  supports :restart => true, :status => true, :reload => true
  action [ :enable ]
end

directory node['tftp']['directory'] do
  owner "root"
  group "root"
  mode 0755
  recursive true
  action :create
end

template "/etc/default/tftpd-hpa" do
  owner "root"
  group "root"
  mode 0644
  source "tftpd-hpa.erb"
  notifies :restart, "service[tftpd-hpa]"
end

